Bug 48950 - New port: net/radiator - An extremely flexible radius server
New port: net/radiator - An extremely flexible radius server
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: FreeBSD ports mailing list
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-05 18:20 UTC by shanali
Modified: 2003-04-16 10:39 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description shanali 2003-03-05 18:20:06 UTC
	Radiator Radius Server is a higher modular/customizable radius server by Open System Consultants

Fix: 

--h25I6IZd042513.1046887578/kela.mine.nu----UhhgMLZcCYiZlQlYHZsAlW0J5WLrXY5VhlI3knE4wqhdEq4K
Content-Type: text/plain; name="file.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="file.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	radiator
#	radiator/Makefile
#	radiator/distinfo
#	radiator/pkg-comment
#	radiator/pkg-descr
#	radiator/pkg-plist
#
echo c - radiator
mkdir -p radiator > /dev/null 2>&1
echo x - radiator/Makefile
sed 's/^X//' >radiator/Makefile << 'END-of-radiator/Makefile'
X# New ports collection makefile for:	radiator
X# Date created:				05 March 2003
X# Whom:					shan
X#
X# $FreeBSD$
X#
X
XPORTNAME=	Radiator
XPORTVERSION=	3.5
XCATEGORIES=	net
XMASTER_SITES=	# fetch manually
XEXTRACT_SUFX=	.tgz
X
XMAINTAINER=	shanali@yahoo.com
XCOMMENT=	Radiator Radius Server by Open System Consultants
X
XBUILD_DEPENDS=	${SITE_PERL}/${PERL_ARCH}/mach/Digest/MD5.pm:${PORTSDIR}/security/p5-Digest-MD5
XRUN_DEPENDS=	${BUILD_DEPENDS}
X
XUSE_PERL5=	yes
X
XPERL_CONFIGURE=	yes
X
X.include <bsd.port.pre.mk>
X
Xpre-configure:
X.if exists(${DISTDIR}/patches-${PORTVERSION}.tar.gz)
X	tar -xvzf ${DISTDIR}/patches-${PORTVERSION}.tar.gz -C ${WRKSRC}
X.endif
X
X.if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
XIGNORE=		will not be automatically fetched due to licensing\
X		restrictions.  You MUST manually fetch the UNIX version after\
X		purchasing the license at: http://www.open.com.au\
X		- once ${DISTFILES} has been downloaded, move it to\
X		${DISTDIR} and then restart this build. (optionally download\
X		patches-${PORTVERSION}.tar.gz to the same directory as well)
X.endif
X
X.include <bsd.port.post.mk>
END-of-radiator/Makefile
echo x - radiator/distinfo
sed 's/^X//' >radiator/distinfo << 'END-of-radiator/distinfo'
XMD5 (Radiator-3.5.tgz) = 31f2dc12571394ae97a016c1857d0212
END-of-radiator/distinfo
echo x - radiator/pkg-comment
sed 's/^X//' >radiator/pkg-comment << 'END-of-radiator/pkg-comment'
XRadiator is a highly configurable and flexible Radius server
END-of-radiator/pkg-comment
echo x - radiator/pkg-descr
sed 's/^X//' >radiator/pkg-descr << 'END-of-radiator/pkg-descr'
XRadiator is a highly configurable and flexible Radius server that supports 
Xauthentication by a huge range of authentication methods such as Flat files, 
XDBM files, Unix password files, SQL databases, remote Radius servers 
X(proxying), external programs, NT User Manager, Active Directory, LDAP, PAM, 
XiPASS, GRIC, NIS+, Tacacs+, a wide range of ISP billing packages such as 
XEmerald, Platypus, Rodopi, Hawk-i, Interbiller98, Freeside etc, your legacy 
Xuser database etc, etc. 
X
XRadiator now supports more 802.1x secure wireless and LAN authentication 
Xmethods than any other Radius server giving a wide choice of 802.1x network 
Xclients.
X
XRadiator also includes many features not found in other Radius servers such 
Xas double-login prevention, username rewriting, full vendor-specific 
Xattributes, time-of-day blocking and a GUI for running user tests. Full list 
Xof technical features.
X
XRuns on all Unix, Linux, Windows 95, 98, NT, 2000, Mac OS-9 and Mac OS-X, VMS.
X
XDue to license restrictions, this package must be purchased and manually 
Xdownloaded from the Open System Consultants web site: http://www.open.com.au
X
XWWW: http://www.open.com.au
END-of-radiator/pkg-descr
echo x - radiator/pkg-plist
sed 's/^X//' >radiator/pkg-plist << 'END-of-radiator/pkg-plist'
Xbin/builddbm
Xbin/buildsql
Xbin/radiusd
Xbin/radpwtst
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AddressAllocatorDHCP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AddressAllocatorGeneric.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AddressAllocatorSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AttrVal.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthACE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthADSI.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthCDB.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthDBFILE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthDYNADDRESS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthEMERALD.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthEMERALD4.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthEXTERNAL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthFILE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthGROUP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthGeneric.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthHTGROUP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthIMAP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthINTERNAL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthIPASS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLDAP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLDAP2.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLDAPSDK.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLOADBALANCE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLogFILE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLogGeneric.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLogSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthLogSYSLOG.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthMOBILEIP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthNISPLUS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthNT.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthOPIE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthPAM.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthPLATYPUS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthPOP3.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthPORTLIMITCHECK.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthRADIUS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthRADKEY.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthRADMIN.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthRODOPI.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthROUNDROBIN.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthSQLRADIUS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthSYSTEM.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthTACACSPLUS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthTEST.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthUNIX.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthURL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/AuthVOLUMEBALANCE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Client.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/ClientListSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Configurable.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Context.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/DES.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/DHCP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP_13.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP_21.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP_25.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP_26.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP_4.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/EAP_5.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Finger.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Handler.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Log.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/LogEMERALD.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/LogFILE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/LogGeneric.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/LogSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/LogSYSLOG.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/MSCHAP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Mib.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Monitor.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Ascend.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/AscendSNMP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Bay.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Bay4000SNMP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Bay5399SNMP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Bay8000SNMP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/BayFinger.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Cisco.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/CiscoVPDN.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Computone.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Cyclades.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Hiper.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Livingston.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/NortelCVX1800.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Patton.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Ping.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Portmaster3.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Portmaster4.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Portslave.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/PortslaveLinux.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/PortslaveMoxa.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Shiva.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Tigris.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/TigrisNew.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/TigrisOld.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/TotalControl.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/TotalControlSNMP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/Xyplex.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/ignore.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Nas/unknown.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/RDict.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Radius.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/RadpwtstGui.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Rcrypt.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Realm.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SNMP.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SNMPAgent.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Select.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/ServerConfig.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SessDBM.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SessGeneric.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SessINTERNAL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SessNULL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SessSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SimpleClient.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/SqlDb.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/StatsLogFILE.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/StatsLogGeneric.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/StatsLogSQL.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/TLS.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/User.pm
Xlib/perl5/site_perl/%%PERL_VER%%/Radius/Util.pm
Xlib/perl5/site_perl/%%PERL_VER%%/radhostname.pl
Xlib/perl5/site_perl/%%PERL_VER%%/mach/auto/Radius/.packlist
X@dirrm lib/perl5/site_perl/%%PERL_VER%%/Radius/Nas
X@dirrm lib/perl5/site_perl/%%PERL_VER%%/Radius
X@dirrm lib/perl5/site_perl/%%PERL_VER%%/mach/auto/Radius
END-of-radiator/pkg-plist
exit
Comment 1 Tilman Keskinoz freebsd_committer 2003-04-16 10:39:37 UTC
State Changed
From-To: open->closed

Committed, thanks